/*************************************************************************\
*   				Xcard 1.2				  *
*									  *
* Copyright 1991, Kenneth C. Nelson			 	          *
*									  *
* Rights       : I, Ken Nelson own Xcard.  You may compile, modify, and   *
*                use Xcard.  You may not sell Xcard or anything derived   *
*		 from Xcard in binary or source for more than reasonable  *
*                media costs.                                             *
*                                                                         *
*		 Xcard uses a dynamic object library	   	          *
*		 that I don't own.  See the subdirectory dynobj for  	  *
*		 restrictions on its use.				  *
*								          *
*                Please feel free to modify Xcard. See Todo for details.  *
*									  *
\*************************************************************************/


/*
 * xcard.c	- contains the startup and get it going code.
 *
*/

#include "xui.h"
#include "cards.h"


char *xcard_version()
{
  return "XCard 0.1 (Development)";
}


void static Usage()
{
  printf("usage: xcard [-toolkit options] cardfile\n\n");
  exit(1);

}

main(argc, argv)
int     argc;
char    **argv;
 
{
  initXCardInterface(&argc,argv);
  if (argc < 2 )
  {
    Usage("xcard");
  }
  
  loadCardFile(argv[argc-1],NEW_FILE);
  
  buildXCardInterface();
  runXCardInterface();
}
 
