/*************************************************************************\
*   				Xcard 1.2				  *
*									  *
* Copyright 1991, Kenneth C. Nelson			 	          *
*									  *
* Rights       : I, Ken Nelson own Xcard.  You may compile, modify, and   *
*                use Xcard.  You may not sell Xcard or anything derived   *
*		 from Xcard in binary or source for more than reasonable  *
*                media costs.                                             *
*                                                                         *
*		 Xcard uses a dynamic object library	   	          *
*		 that I don't own.  See the subdirectory dynobj for  	  *
*		 restrictions on its use.				  *
*								          *
*                Please feel free to modify Xcard. See Todo for details.  *
*									  *
\*************************************************************************/


/*
 * xmisc.c - provides misc functions helpful in X programming.
 *
 */

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>


/*
 * centerCoords() - sets the x, and y provided to the center coords
 *		    of the widget passed in.
*/
 
void centerCoords(w,x,y)
  Widget w;
  Position *x,*y;
{
  Dimension width,height;


  XtVaGetValues(w,"width",&width,"height",&height,NULL);

  XtTranslateCoords(w,
		    (Position) width/2,
		    (Position) height/2,
		    x,y
		   );

}



/* do nothing callback */

/*ARGSUSED*/
void CBnop(w,client_data,call_data)
  Widget    w;
  XtPointer client_data;
  XtPointer call_data;
{
}


/* Do nothing action */

/*ARGSUSED*/
void ACTnop(w,event)
 Widget w;
 XButtonEvent event;
{
}


